Subject: bug#32770: Packaging SLIME/SWANK as Common Lisp library

From: Pierre Neidhardt <[email-masked]>
Date: Fri, 05 Oct 2018 10:28:29 +0200

> Sure, I'll append it.

Great, thanks!

> What
> I'm considering is consumers of the libraries which should still work
> if you load them from a fresh lisp session with no configuration.
>
> I haven't looked into it yet but I don't think loading the library
> would work in that case.

Are you saying that 'compile-bundle' would discard the global variable?

I'm still rather new to Common Lisp so let me know if I get it right:

- Compiling a bundle only compiles the target files, it discards the other
  global values.

- Saving an image keeps everything, including global variables.

> >     #:cffi-packages (list ,cl-sqlite ,cl-foo...)
> >
>
> Based on what you've written here, I guess that you're thinking of
> adding to the *foreign-library-directories* for the consumers of
> cffi-based packages.  I thought you meant to do it for those packages
> themselves.

Sorry, you understood right at first, I wanted to write

--8<---------------cut here---------------start------------->8---
  (define-public sbcl-cl-sqlite
    #:cffi-packages (list ,sqlite ,foo...)
--8<---------------cut here---------------end--------------->8---

> What I'm
> thinking of is something like a configure script to set the library
> paths before building is done.  I think there are some examples of
> guile projects which do just that.

Hmm, I'm not sure I understand what you mean.  Could you provide an example?

-- 
Pierre Neidhardt
https://ambrevar.xyz/